This week's book giveaway is in the Java in General forum.
We're giving away four copies of Event Streams in Action and have Alexander Dean & Valentin Crettaz on-line!
See this thread for details.
Win a copy of Event Streams in Action this week in the Java in General forum!
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Devaka Cooray
  • Liutauras Vilda
  • Jeanne Boyarsky
  • Bear Bibeault
Sheriffs:
  • Paul Clapham
  • Knute Snortum
  • Rob Spoor
Saloon Keepers:
  • Tim Moores
  • Ron McLeod
  • Piet Souris
  • Stephan van Hulst
  • Carey Brown
Bartenders:
  • Tim Holloway
  • Frits Walraven
  • Ganesh Patekar

Not able to create a Maven project in Eclipse Oxygen.3a

 
Greenhorn
Posts: 3
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi All,
     I m trying to create a new Maven project in Eclipse Oxygen.3a but i m getting below error :


Reporduce steps :
1- download Eclipse Oxygen.3a
2- New Project -> Maven project -> Select location -> select "maven-archetype-quickstart" from list

I tried the steps mentioned on this page : https://howtodoinjava.com/eclipse/how-to-import-maven-remote-archetype-catalogs-in-eclipse/
But still i m getting this error. I also verified that there is no proxy server on my laptop.

Please help.

Thanks.
 
Sheriff
Posts: 6115
157
Eclipse IDE Postgres Database VI Editor Chrome Java Ubuntu
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
It looks like there is a problem connecting to the Maven repository.  Let's try to eliminate Eclipse from the problem.

Do you have a command line Maven installed?  If you do, cd into the directory with the pom.xml file and type on a command line:

   mvn install

What happens?  The same error message?

Also, Eclipse Oxygen is very old.  Can you update your Eclipse?
 
It is sorta covered in the JavaRanch Style Guide.
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!